Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.algorithm
Class CentralEndpointIntersector

    java.lang.Object
      com.vividsolutions.jts.algorithm.CentralEndpointIntersector

    public class CentralEndpointIntersector

extends java.lang.Object

Computes an approximate intersection of two line segments by taking the most central of the endpoints of the segments. This is effective in cases where the segments are nearly parallel and should intersect at an endpoint. It is also a reasonable strategy for cases where the endpoint of one segment lies on or almost on the interior of another one. Taking the most central endpoint ensures that the computed intersection point lies in the envelope of the segments. Also, by always returning one of the input points, this should result in reducing segment fragmentation. Intended to be used as a last resort for computing ill-conditioned intersection situations which cause other methods to fail.

Version:
  1.8
Author:
  Martin Davis

Constructor Summary
`CentralEndpointIntersector(Coordinate p00, Coordinate p01, Coordinate p10, Coordinate p11)`

Method Summary
`Coordinate` | `getIntersection()`
`static Coordinate` | `getIntersection(Coordinate p00, Coordinate p01, Coordinate p10, Coordinate p11)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CentralEndpointIntersector

    public CentralEndpointIntersector(Coordinate p00,
                                      Coordinate p01,
                                      Coordinate p10,
                                      Coordinate p11)

Method Detail

### getIntersection

    public static Coordinate getIntersection(Coordinate p00,
                                             Coordinate p01,
                                             Coordinate p10,
                                             Coordinate p11)

### getIntersection

    public Coordinate getIntersection()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD